DtComboBoxAddItem(library call)

NAME
DtComboBoxAddItem — add an item to the ComboBox widget

SYNOPSIS

#include &<Dt/ComboBox.h>
void DtComboBoxAddItem(
Widget w,
XmString item,
int pos,
Boolean unique);

DESCRIPTION

    Note:

    This function has been superseded by the equivalent Motif function, XmComboBoxAddItem. Please refer to the Motif Programmer's Reference for more information.

The DtComboBoxAddItem function adds the given item to the DtComboBox at the given position.

The w argument specifies the DtComboBox widget ID.

The item argument specifies the XmString for the new item.

The pos argument specifies the position of the new item.

The unique argument specifies if this item should duplicate an identical item or not.

RETURN VALUE

The DtComboBoxAddItem function returns no value.

APPLICATION USAGE

The functions DtComboBoxAddItem and DtComboBoxDeletePos have different naming conventions (Item versus Pos) because of the objects they are manipulating. The Item is a string to be added, the Pos is a numeric position number.

SEE ALSO

DtComboBox(3), DtComboBoxDeletePos(3), DtComboBoxSetItem(3), DtComboBoxSelectItem(3).